Bug 1955737 - Certificate error modal opens continually for no reason
Summary: Certificate error modal opens continually for no reason
Keywords:
Status: VERIFIED
Alias: None
Product: Migration Toolkit for Containers
Classification: Red Hat
Component: UI
Version: 1.4.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 1.4.4
Assignee: Ian
QA Contact: Xin jiang
Avital Pinnick
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-30 17:56 UTC by Erik Nelson
Modified: 2021-05-13 11:58 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
Error modal (132.96 KB, image/png)
2021-04-30 17:56 UTC, Erik Nelson
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github konveyor mig-ui pull 1202 0 None open Bug 1955737: Fix error modal text for cert/CORS errors 2021-05-10 16:45:01 UTC
Github konveyor mig-ui pull 1203 0 None open Bug 1955737: Fix error modal text for cert/CORS errors (#1202) 2021-05-11 14:28:14 UTC

Description Erik Nelson 2021-04-30 17:56:33 UTC
Created attachment 1777866 [details]
Error modal

Description of problem:

See attached error modal; sitting at the home screen for plans (unsure if this happens on other screens), this modal repeatedly pops up and arrests the screen and produces a very frustrating experience. We confirmed that this was NOT a certificate error, so something else is failing and causing this modal to pop up. It's possible this is an expired oauth token, a CORS issue, or maybe something to do with a large scale of plans.

The fact that it's trying to reach the oauth well known metadata suggests that it's trying to run through a login flow.

I actually am surprised to see the front end trying to reach this address because I thought we fetched this data during the serverside call and injected it into the mig meta. We should understand why it's presenting this address.

Version-Release number of selected component (if applicable):
1.4.3

How reproducible:
Unclear

Steps to Reproduce:
Unclear

Comment 10 Xin jiang 2021-05-12 05:25:45 UTC
verified with mtc 1.4.4.

Images:
registry.redhat.io/rhmtc/openshift-migration-controller-rhel8@sha256:5aefec0efb86f472c283e190e1f42ceda629bbd65dc2a7100b8ab3bb16101b5c
registry.redhat.io/rhmtc/openshift-migration-log-reader-rhel8@sha256:bedf648f7a6096854aa56663064954d03e2f14f4c0a181946fb66ed289a0b60c
registry.redhat.io/rhmtc/openshift-migration-rhel7-operator@sha256:b4816f8f2d10d5a0032c4bc6bc5121020cb473b1e233663cfe797cc932e7436d
registry.redhat.io/rhmtc/openshift-migration-ui-rhel8@sha256:3ef6fd73ad305555fb5bcb6adcc421f96d8797b14421fd37c371e174661e6067
registry.redhat.io/rhmtc/openshift-migration-velero-plugin-for-aws-rhel8@sha256:fd7e0f42bf49ae20f0448581a95ec0766692421d245f1c1005e0e310af1fb490
registry.redhat.io/rhmtc/openshift-migration-velero-plugin-for-gcp-rhel8@sha256:9aa64c36426a2ec023b28ac65504cef49373f2d25d37945d2be95fa4bb3669a7
registry.redhat.io/rhmtc/openshift-migration-velero-plugin-for-microsoft-azure-rhel8@sha256:b9037284cd1e37b74b76c4497078c6691e777257ca1682b2f0b36449b150769b
registry.redhat.io/rhmtc/openshift-migration-velero-rhel8@sha256:957085b3a831335cb4d3fcb29a512a171a8551898d96cca64195439862b32455
registry.redhat.io/rhmtc/openshift-velero-plugin-rhel8@sha256:2da1a79ebcb062d0e18c314f9f5366ca00840572dbd0966a714578f6ee1a4fbf


Note You need to log in before you can comment on or make changes to this bug.